<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.ee.managed-thread-factory">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="context-service,jndi-name,priority"/>
        <elem name="addr-params" value="profile,subsystem,managed-thread-factory"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.ee"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.ee.concurrent.thread-factory.$managed-thread-factory"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.ee.concurrent.context.service.$context-service" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.ee"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="subsystem" feature-id="true" default="ee"/>
        <param name="managed-thread-factory" feature-id="true"/>
        <param name="priority" nillable="true"/>
        <param name="context-service" nillable="true"/>
        <param name="jndi-name"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>